This site uses cookies before accepting please review our → Terms of Service.

E-Portal Compatibility Chart

Check which version of E-Portal is compatible with your Eclipse Paintball Marker by selecting your Marker Model from the list below. Compatible E-Portal versions are marked with ✓.

Version 2.0 3.0 4.0 EP Lite (Beta)
CS1/CS1.5 - - -
CS2/CS2 Pro - -
CSR - - -
Ego 5/6/7/8/9 - - - -
Ego 10/11 - - -
Emek/Emek PAL - - - -
Etek1/2/3/4/5 - - - -
Etha - - - -
Etha2/Etha2 PAL - - - -
GSL - - -
Geo1 - - - -
Geo2/3 - - -
Geo4 - - -
Gtek/160R/170R - - - -
LV1/1.5/1.6 - - -
LVR - - -
SL8R - - - -
SL94 - - -
SLS - - - -

* Note: Some paintball markers may be sold as E-Portal Ready meaning this feature was not available at launch but may be included later. A compatible Eclipse paintball marker and personal computer that meets the minimum stated system specifications required. Some paintball markers identified may require additional upgrades or accessories to use E-Portal software.